# class ActionView::TestCase::TestController

### Attributes

controller_path[W]
params[RW]
request[RW]
response[RW]

### Public Class Methods

new() click to toggle source
Calls superclass method

    # File lib/action_view/test_case.rb, line 24
    def initialize
      super
      self.class.controller_path = ""
      @request = ActionController::TestRequest.new
      @response = ActionController::TestResponse.new

      @request.env.delete('PATH_INFO')
      @params = {}
    end

### Public Instance Methods

controller_path=(path) click to toggle source

    # File lib/action_view/test_case.rb, line 20
    def controller_path=(path)
      self.class.controller_path=(path)
    end